function [ handles ] = fftSettingsDisplay( handles )
% Sets the display for FFT Settings.

F = handles.filtFunc(handles.radius(handles.currentCoorIdx),handles.eps(handles.currentCoorIdx),handles.X-handles.currentCoor(1),handles.Y-handles.currentCoor(2));
handles.Fsave{handles.currentCoorIdx} = F;
Fc = zeros(size(handles.X));
for k=1:handles.numD
    Fc = Fc + handles.Fsave{k};
end
if ~isempty(handles.hFADhandles.imgTotFFTt)    
    Fc = Fc.*handles.imgTotFFTt;
end
imagesc(handles.x,handles.y,Fc,'Parent', handles.imgPlot);
caxis(handles.imgPlot,[0 1]);
colormap(magma(256));
handles.imgPlot.YDir='normal';
F2 = handles.filtFunc(handles.radius(handles.currentCoorIdx),handles.eps(handles.currentCoorIdx),handles.X,handles.Y);
plot(handles.x,squeeze(F2(floor(handles.M/2)+1,:)),'Parent', handles.oneDPlot);
F3 = fftshift(fft(ifftshift(squeeze(F2(floor(handles.M/2)+1,:)))));

plot(handles.xiVec,real(F3),'Parent', handles.oneDTDPlot);
end

